#include <iostream>
#define MAXN 1000010
using namespace std;
int a[MAXN], b[MAXN];
int sum;
int main()
{
    int n, m; cin >> n >> m;
    for (int i=0; i<n; i++)
    {
        for (int j=0; j<m; j++)
        {
            int x; cin >> x;
            sum+=x;
            if (i==0) a[j+1]=a[j]+x;
            if (i==1) b[j+1]=b[j]+x;
        }
    }

    if (n==2)
    {
        int res=INT_MIN, I, J;
        for (int i=1; i<=n; i++)
        {
            for (int j=1; j<=m; j++)
            {
                int ans=a[j]+(b[m]-b[j-1]);
                if (ans>res)
                {
                    res=ans;
                    I=i; J=j;
                }
            }
        }
        cout << I << " " << J << endl;
        int odg=0;
        odg=a[m]-a[J];
        for (int i=1; i<J; i++) odg+=(b[i]-b[i-1])*(J-i);
        cout << odg << endl;
    }
    return 0;
}